# SIPSubscribe::NotifyCallbackInfo Struct Reference

`#include <sippdu.h>`

Collaboration diagram for SIPSubscribe::NotifyCallbackInfo:

[legend]

## Public Member Functions

| NotifyCallbackInfo (SIPSubscribeHandler &handler, SIPEndPoint &ep, SIP_PDU &request, SIP_PDU &response)
bool | SendResponse (SIP_PDU::StatusCodes status=SIP_PDU::Successful_OK, const char *extra=NULL)

## Data Fields

SIPSubscribeHandler & | m_handler
SIPEndPoint & | m_endpoint
SIP_PDU & | m_request
SIP_PDU & | m_response
bool | m_sendResponse

## Constructor & Destructor Documentation

SIPSubscribe::NotifyCallbackInfo::NotifyCallbackInfo | ( | SIPSubscribeHandler & | handler,
|  | SIPEndPoint & | ep,
|  | SIP_PDU & | request,
|  | SIP_PDU & | response |
| ) |  |  |

## Member Function Documentation

bool SIPSubscribe::NotifyCallbackInfo::SendResponse | ( | SIP_PDU::StatusCodes | status = `SIP_PDU::Successful_OK`,
|  | const char * | extra = `NULL` |
| ) |  |  |

## Field Documentation

SIPEndPoint& SIPSubscribe::NotifyCallbackInfo::m_endpoint

SIPSubscribeHandler& SIPSubscribe::NotifyCallbackInfo::m_handler

SIP_PDU& SIPSubscribe::NotifyCallbackInfo::m_request

SIP_PDU& SIPSubscribe::NotifyCallbackInfo::m_response

bool SIPSubscribe::NotifyCallbackInfo::m_sendResponse

The documentation for this struct was generated from the following file:

- sippdu.h